Skip to main content
PUT
/
api
/
organization
/
{organization_id}
/
member
/
{member_id}
Update Organization Member
curl --request PUT \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/member/{member_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "ANALYST"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "SYSTEM_ADMIN",
  "membership_state": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "given_name": "<string>",
    "family_name": "<string>",
    "nickname": "<string>",
    "name": "<string>",
    "picture": "<string>",
    "auth0_sub": "<string>",
    "is_system_admin": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required
member_id
string<uuid>
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json
organization_id
string<uuid> | null
user_id
string<uuid> | null
role
enum<string>
default:ANALYST
Available options:
SYSTEM_ADMIN,
ORGANIZATION_ADMIN,
ANALYST

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
user_id
string<uuid>
required
role
enum<string>
required
Available options:
SYSTEM_ADMIN,
ORGANIZATION_ADMIN,
ANALYST
membership_state
enum<string>
required
Available options:
active,
pending,
suspended
created_at
string<date-time>
required
updated_at
string<date-time>
required
user
UserResponse · object